# Ardentryst
(C) 2007 - 2020
Elle Trudgett

## GENERAL GAME INFORMATION

Ardentryst is an open-source free game by Elle
Trudgett. It works to combine elements of fighting, arcade, adventure,
RPG and sidescrolling games to give the game a very unique
genre. Its aim is to provide an enjoyable game to people of many ages
from young to old, and to appeal to many types of gamers.

Ardentryst works much like any other platform game in a bigger sense:
when you play the game, you move from level to level to play them, and
after each, you unlock the next. The goal is, generally, to finish all
the levels.

During each level, there are noticeable RPG and fantasy elements, like
the HP/MP/affliction statuses, to name a few. Many of these elements
have been carried over from traditional RPGs, like buying/selling
items, attack/defence/endurance/luck/level-based character development,
and of course, many different weapons and equipment to choose from.

The game also incorporates fighting-style combos in conjunction with
magic spells for advanced battles.

### REQUIREMENTS

Ardentryst just need pygame to run. You can install running:
```python install -r requirements.txt ```

## RUNNING
In order to run the game you have to run ardentryst.py with python3.

## CONTROLLING THE GAME

In this game, most movement or selection changing will be done with
the keyboard: by default, the arrow keys. These controls are
redefineable in the options screen from the main menu.

Most choices are confirmed with Button 1, which is C on the keyboard,
by default. You can change this also.

Within a level, the buttons 1-8 operate on things in the level, and
button 9 pops up an in-game menu. Button 9 is Q by default. This
button will also work on any overview map, like when before starting a
level.

Whenever no controls are stated, it is generally safest to use C to
continue a textbox, or confirm an action, or continue in another way.

Up will make your character jump. Make sure to hold it down so you jump
the highest.

* Left and right: make your character walk or move left and right.
* W: Hold down to activate, then use Up/Down to move the camera
* D: Start a spell
* C: Main button/attack
* Z: Activate (treasure, obelisks, levers, signs, NPCs)

## TROUBLESHOOTING

**Q:** The game is too slow.

**A:** As for an in-game fix, you can change the graphics intensity in the
   options screen on the main menu. Usually, turning off unnecessary
   effects like rain and some parallax layers can increase playability
   dramatically.

**Q:** I found a bug, or I have a suggestion to make.

**A:** Please create an issue in the Github repository: https://github.com/ardentryst/ardentryst/issues
   or tweet me @ElleTrudgett
   It might be worthwhile to include log.txt which can be
   found in ~/.ardentryst/ or My Documents\.ardentryst\ (Windows).

## LICENSE

See COPYING and COPYING.data files.

If you are unsure of what you can and can't
do with this software, or need to ask
permission to do something, email me at
elle.trudgett@gmail.com. Thanks!

The game media is covered under Creative
Commons - commercial use allowed
